<?php
if (!defined('webid')) {
    exit();
}
if (!(isset($_SESSION["username"]) && isset($_SESSION["password"]))) {
    header("Location: /");
	exit();
}

include_once 'managermenu.php';

$sql = mysql_query("SELECT * FROM tb_ads WHERE fromus = '" . $_SESSION['iduser'] . "'") or die(mysql_error());
if (mysql_num_rows($sql) == 0) {
	echo "<div class='error' align='center'>У вас ещё нет своих динамических ссылок!</div><center><a href='/adddyn' class='big_btn'>Разместить ссылкку</a></center> ";
} else {
?>
<script type="text/javascript">
function confirmdelete(idadv) {
    if (confirm("Вы уверены что хотите удалить ссылку №" + idadv + "?")){
        $.post('ajax.php?func=deladv',{
            id : idadv
        }, function(data){
            if (data == 1){
                FLAX.Html.thread['flax'].repeat();
            } else {
                alert(data);
            }
        });
        return false;
    }
}
function confirmerase(idadv,totaladv) {
    if (totaladv == 0) { alert("Счётчик этой площадки уже равен 0"); } else {
        if (confirm("Обнулить счётчик просмотров ссылки №" + idadv + "?")) {
            $.post('ajax.php?func=clearadv',{
                id : idadv
            }, function(data){
                if (data == 1){
                    FLAX.Html.thread['flax'].repeat();
                }
            });
            return false;
        }
    }
}

function rundyn(iddyn) {
    $.post('ajax.php?func=rundyn',{
        id : iddyn
    }, function(data){
        if (data == 1){
            FLAX.Html.thread['flax'].repeat();
        }
    });
    return false;
}

function paydyn(tid, tprice) {
    $.post('addtobask.php?func=dyn',{
        id: tid,
        price: tprice
    }, function(data){
        if (data == 1){
            alert('Сумма добавлена в корзину');
            FLAX.Html.thread['flax'].repeat();
        } else {
            alert(data);
        }
    });
    return false;
}
</script>
<table class='adv-serf' width='100%' border='0' cellpadding='0' cellspacing='1'>
<thead>
<th colspan="3" style="padding: 5px; background: #ebebeb;" align="left"><span style="color: #212121; font-size: 12px; font-weight: bold; text-shadow: 0 1px 0 #f7f7f7;">Рекламные ссылки в серфинге</span></th>
</thead>
<?
while ($row = mysql_fetch_assoc($sql)) {
    $row['balance'] = round($row['balance'], 3);
?>
    <tr>
    <td class="lt" width="30">
    <a class="serfcontrol-<?
    if ($row['paused'] == 1 and $row['modered'] == 0) { echo "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Ссылка<br>на<br>проверке</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 0) { echo "moder"; $tt="Ожидает модерации"; $pt="<span class=desctext>Ссылка<br>на<br>проверке</span>";
    } elseif ($row['paused'] == 1 and $row['modered'] == 2) { echo "block"; $tt="Ссылка заблокирована!"; $pt="<span class=desctext>Заблокирована<br>администрацией</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 2) { echo "block"; $tt="Ссылка заблокирована!";$pt="<span class=desctext>Заблокирована<br>администрацией</span>";
    } elseif ($row['paused'] == 0 and $row['modered'] == 1) { echo "pause"; $tt="Приостановить ссылкy"; $href="#";
    } elseif ($row['paused'] == 1 and $row['modered'] == 1) { echo "play"; $tt="Запустить показ ссылки";$href="#";
    } ?>" title="<?=$tt ?>" <? if($row['balance'] == 0) { ?>onclick='alertbudget();'<? }else{ if($row['modered'] == 1) { ?>href='<?=$href ?>'<? } } ?> onclick="rundyn(<?=$row['id']?>)"></a>
    </td>
    <td class="lt"><a href="<?=$row['url'] ?>" target="_blank"><?=$row['description'] ?><br />
    <span class='desctext'><?=$row['texto'] ?></span></a>
    <br /><? if($row['modered'] == 2) { echo "<small><font color=red>Причина отклонения: $row[reas] </font></small>";
    } else {
    ?>
	 <span class='serfinfotext'>№ <?=$row['id'] ?>&nbsp;&nbsp;
	 Клик: <?=$row['price'] ?> <?=$sitevalname ?>&nbsp;&nbsp;
	 Просмотров: <?=$row['plan'] ?>&nbsp;&nbsp;
	<? } ?>
	<? if($row['all_zh'] != 0) echo "<font color=red>[Жалоб: $row[all_zh]]</font>"; ?>
	</span>
    <a class="scon-delete" href="#" title="Удалить ссылку" onclick="confirmdelete(<?=$row['id'] ?>);"></a>
    <a class="scon-balance" href="#" title="Перевести средства на другую площадку" onclick="hideserfaddblock('bal<?=$row['id'] ?>');"></a>
    <a class="scon-erase" href="#" title="Сброс статистики" onclick="confirmerase(<?=$row['id'] ?>,<?=$row['plan'] ?>);"></a>
    <a class="scon-edit" href="/adddyn/edit=<?=$row['id'] ?>" title="Редактировать ссылку"></a></td>
    <td class="budget" width="80" align="center" style="padding: 0 5px;">
    <? if ($row['modered'] == 1) { if ($row['balance'] <= 0) { ?>
    <a class="add-budgetnone" href="#" title="Пополнить рекламный бюджет" onclick="hideserfaddblock('serfadd<?=$row['id'] ?>');"><span style="font-size: 11px;">Пополнить</span></a>
    <? } else {
    ?>
	<a class="add-budget" href="#" title="Пополнить рекламный бюджет" onclick="hideserfaddblock('serfadd<?=$row['id'] ?>');"><span style="font-size: 11px;"><?=$row['balance']; ?></span></a><?
	}
    } else { echo "<span style='font-size:11px;'>$pt</span>"; } ?></td></tr>
	<tr id="serfadd<?=$row['id'] ?>" style="display: none;">
	<td style="background: #ebebeb; padding: 5px;" align="right" class="lt" colspan="3">
    <span>Укажите сумму (Минимум 5 рублей)</span>&nbsp;&nbsp;&nbsp;<input type="text" id="price<?=$row['id']?>" value="28" class="val" style="width: 40px; text-align: center;" />&nbsp;&nbsp;&nbsp;<a class="big_btn" href="#" onclick="paydyn(<?=$row['id']?>, $('#price<?=$row['id']?>').val())">Оплатить</a>
	</td></tr>
    <tr id="bal<?=$row['id'] ?>" style="display: none;">
        <td colspan="3" align="center" class="lt" style="background: #ebebeb; padding: 5px;">
        ID&nbsp;&nbsp;<input type="text" id="idserf<?=$row['id'] ?>" class="val" size="5" />&nbsp;&nbsp;&nbsp;<select id="serf<?=$row['id'] ?>" class="techno" style="width: auto;"><option value="1">Динамические ссылки</option><option value="2">Платные письма</option><option value="3">Задания</option><option value="4">Контекстная реклама</option><option value="8">Цепочка</option><option value="5">Баннер 468х60</option><option value="6">Баннер 100х100</option><option value="7">Баннер 200х200</option></select>&nbsp;&nbsp;&nbsp;Сумма&nbsp;&nbsp;<input type="text" id="money<?=$row['id'] ?>" class="val" size="10" />&nbsp;&nbsp;&nbsp;<a href="#" class="big_btn" onclick="sendbalance(<?=$row['id'] ?>, 'dyn', $('#money<?=$row['id'] ?>').val(), $('#serf<?=$row['id'] ?>').val(), $('#idserf<?=$row['id'] ?>').val())">Перевести</a>
        </td>
    </tr>
	<?
	}
	?>
	</table><br />
    <center><a href='/adddyn' class='big_btn'>Разместить ссылку</a></center>
    <?}?>